Bug 1052128 - BOM contains dependency with hardcoded version
Summary: BOM contains dependency with hardcoded version
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: Maven Repository
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: ---
Assignee: Julian Coleman
QA Contact: Václav Chalupa
URL:
Whiteboard:
Depends On:
Blocks: 1050969
TreeView+ depends on / blocked
 
Reported: 2014-01-13 11:30 UTC by Petr Kočandrle
Modified: 2016-09-20 01:38 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
The org.drools:drools-bom:6.0.0-redhat-7 contains a hardcoded version of org.drools:drools-wb-rest-defaultapprover:0.9. Hardocded dependencies should not exist within the Maven respository as they can potentially break updates.
Clone Of:
Environment:
Last Closed: 2015-08-03 15:35:36 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Kočandrle 2014-01-13 11:30:00 UTC
Each version should be referenced by version property. org.drools:drools-bom:6.0.0-redhat-7 contains hardcoded managed version of org.drools:drools-wb-rest-defaultapprover:0.9. It was found out by Wolf Validator.


Note You need to log in before you can comment on or make changes to this bug.